# alliance-https-npm
https://alliancels.quip.com/Sp4gAkiUg9yP

## Usage
```coffeescript
  nconf = require 'nconf'
  yml = require 'js-yaml'
  express = require 'express'

  nconf.argv().env().file
    file: __dirname + 'config.yml'
    format:
      parse: yml.safeLoad
      stringify: yml.safeDump

  app = express()
  app = require('@alliancelabs/alliance-cors-npm')(app)

  app = require('@alliancelabs/alliance-https-npm')(app, nconf.get('ALLIANCE_USE_HTTPS'))

  app.get '/someRoute', (req, res) ->
    res.status(200).send('Hello World!')
```
