(function() {
  module.exports = function(app, useHttps) {
    if (useHttps == null) {
      useHttps = false;
    }
    app.use(function(req, res, next) {
      if ((!req.secure) && req.get('X-Forwarded-Proto') !== 'https') {
        return res.redirect('https://' + req.get('Host') + req.url);
      } else {
        return next();
      }
    });
    return app;
  };

}).call(this);
